ข้ามไปยังเนื้อหา

CSM-1B

ผสานการทำงาน

ID โมเดล csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.03 30 เครดิต API · ≈ ₽3.16 เรียกใช้ในหน้านี้

รับคีย์ API
Sesame ข้อความเป็นเสียงพูด #conversational#text-to-speech

โมเดลแปลงข้อความเป็นเสียงพูดแบบสนทนา รับฉากที่ประกอบด้วยบรรทัดข้อความพร้อมบริบทเสียงเสริม

Sesame · เสียง

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

ข้อความต้นฉบับสำหรับการสร้างเสียง

ขั้นสูง context

บริบทต้นฉบับสำหรับการสร้างเสียง

POST /run/csm-1b?wait=20 ใบเสนอราคา → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ CSM-1B

สร้างเสียงพูดจาก `scene` ที่จำเป็น ซึ่งเป็นอาร์เรย์ของออบเจ็กต์ที่เก็บข้อความสำหรับพูด อาร์เรย์ `context` เป็นตัวเลือกสำหรับส่งบทสนทนาก่อนหน้าเพื่อกำหนดรูปแบบการพูด ผลลัพธ์เป็นไฟล์เสียงเดียว ออกแบบมาสำหรับเสียงพูดลักษณะบทสนทนา

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
sceneจำเป็น
ประเภทobject[]
ข้อความต้นฉบับสำหรับการสร้างเสียง
scene[].speaker_idจำเป็น
ประเภทinteger
scene[].textจำเป็น
ประเภทstring
contextไม่บังคับ
ประเภทobject[]
บริบทต้นฉบับสำหรับการสร้างเสียง
context[].promptจำเป็น
ประเภทstring
context[].speaker_idจำเป็น
ประเภทinteger
context[].audio_urlจำเป็น
ประเภทurl · audio
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "csm-1b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'm great, so happy to be speaking to you."
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
audio
object {url, content_type, file_name, file_size} | stringเสียงที่สร้างโดยโมเดล

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/csm-1b.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt